# Organization Contacts

## Fetch Organization Contacts

By performing this query, you can retreive any/all organization's contacts. (per organization ID)

```graphql
query Organization($where: OrganizationWhereUniqueInput!) {
  organization(where: $where) {
    contacts {
      id
      fullName
      email
      phone
    }
  }
}
```

### **Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

### **Body (**<mark style="color:orange;">OrganizationWhereUniqueInput</mark> object)

| Name                                 | Type   | Description     |
| ------------------------------------ | ------ | --------------- |
| id<mark style="color:red;">\*</mark> | string | Organization ID |

Example body:

```json
{
  "where": {
    "id": "orgId123"
  }
}
```

### **Response**

Returned values:

| Name     | Type   | Description       |
| -------- | ------ | ----------------- |
| id       | string | Contact ID        |
| fullName | string | Contact full name |
| email    | string | Contact email     |
| phone    | string | Contract phone    |

{% tabs %}
{% tab title="🟢 Success" %}

```json
{
	"data": {
		"organization": {
			"contacts": [
				{
					"id": "cljzumgy0000gk603zl8u9xx1",
					"name": "Georgia Hermann"
				},
				{
					"id": "cljzumh0n0019k603fzeaperq",
					"name": "Eugene Labadie"
				},
				{
					"id": "cljzumh2i0029k6039m3nmqvz",
					"name": "Wesley Hermann"
				},
				{
					"id": "cljzumh3i002rk603cho1skcx",
					"name": "Erma Dach MD"
				}
			]
		}
	}
}
```

{% endtab %}

{% tab title="🔴 Failure" %}

```json
```

{% endtab %}
{% endtabs %}

### Try it out!

{% embed url="<https://studio.apollographql.com/sandbox/explorer?endpoint=https://api.inabit.app/graphql&explorerURLState=N4IgJg9gxgrgtgUwHYBcQC4QEcYIE4CeABAPJ4DmAhkgJYBelKNESAFACQDuAFvguqQrV6jZkgDqvPAgCqtHAgCSSAA4wUAQgCURYAB0kelBCG0GTFqx58BXKQh37DKI1BYpKUFAGddBowFMYP4uoUiUiCFGAL4hsUjRINFAA>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
